Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024212
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-06-27 12:212013-07-24 18:34
ReporterpsarobeView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision273cb1c22a33
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024212: WebPOS relies on delivery status field to create or not the invoices. Wrong in some cases

DescriptionWebPOS relies on delivery status field to create or not the invoices and this is wrong in some cases.

When using gift cards or vouchers and the total delivery sum zero
Steps To Reproduce1. Create a ticket using a voucher
2. one line with qty 1
3. Then the voucher associated with the ticket will have qty -1
4. Go to the backend and notice the delivery status is zero and the invoice has not been created

This is wrong
Proposed SolutionUse another way to check whether the invoice can be created or not
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024516RMP26 closedguilleaer WebPOS relies on delivery status to check if a ticket is a layaway 

-  Notes
(0059706)
hgbot (developer)
2013-06-27 12:56

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d310ac00930c14b590b68f9ff878a6d5e2180e58
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 12:56:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d310ac00930c14b590b68f9ff878a6d5e2180e58 [^]

Fixed issue 24212. Instead of using the deliveryStatus, compare the ordered quantity of the line with the delivery quantity.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0059709)
migueldejuana (developer)
2013-06-27 13:29

Tested and reviewed in RMP24
(0059764)
hgbot (developer)
2013-06-28 10:31

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: d310ac00930c14b590b68f9ff878a6d5e2180e58
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 12:56:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/d310ac00930c14b590b68f9ff878a6d5e2180e58 [^]

Fixed issue 24212. Instead of using the deliveryStatus, compare the ordered quantity of the line with the delivery quantity.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0059801)
hgbot (developer)
2013-07-02 08:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5b7a9e71737f3e0437ce080f89467ab33a404c0b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 12:56:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5b7a9e71737f3e0437ce080f89467ab33a404c0b [^]

Fixed issue 24212. Instead of using the deliveryStatus, compare the ordered quantity of the line with the delivery quantity.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0059859)
hgbot (developer)
2013-07-04 16:40

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 5b7a9e71737f3e0437ce080f89467ab33a404c0b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 12:56:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/5b7a9e71737f3e0437ce080f89467ab33a404c0b [^]

Fixed issue 24212. Instead of using the deliveryStatus, compare the ordered quantity of the line with the delivery quantity.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0059946)
hgbot (developer)
2013-07-11 09:51

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 273cb1c22a33db199cb9cb4ec5d75734221c8e92
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 12:56:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/273cb1c22a33db199cb9cb4ec5d75734221c8e92 [^]

Fixed issue 24212. Instead of using the deliveryStatus, compare the ordered quantity of the line with the delivery quantity.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0059949)
priyam (administrator)
2013-07-11 10:54

closed as status changed by RMP23.2 merge
(0060232)
hgbot (developer)
2013-07-24 13:40

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 273cb1c22a33db199cb9cb4ec5d75734221c8e92
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 27 12:56:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/273cb1c22a33db199cb9cb4ec5d75734221c8e92 [^]

Fixed issue 24212. Instead of using the deliveryStatus, compare the ordered quantity of the line with the delivery quantity.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0060283)
guilleaer (developer)
2013-07-24 18:34

reclosing

- Issue History
Date Modified Username Field Change
2013-06-27 12:21 psarobe New Issue
2013-06-27 12:21 psarobe Assigned To => marvintm
2013-06-27 12:56 hgbot Checkin
2013-06-27 12:56 hgbot Note Added: 0059706
2013-06-27 12:56 hgbot Status new => resolved
2013-06-27 12:56 hgbot Resolution open => fixed
2013-06-27 12:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d310ac00930c14b590b68f9ff878a6d5e2180e58 [^]
2013-06-27 13:29 migueldejuana Review Assigned To => migueldejuana
2013-06-27 13:29 migueldejuana Note Added: 0059709
2013-06-27 13:29 migueldejuana Status resolved => closed
2013-06-27 13:29 migueldejuana Fixed in Version => RMP24
2013-06-28 10:31 hgbot Checkin
2013-06-28 10:31 hgbot Note Added: 0059764
2013-06-28 10:31 hgbot Status closed => resolved
2013-06-28 10:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d310ac00930c14b590b68f9ff878a6d5e2180e58 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/d310ac00930c14b590b68f9ff878a6d5e2180e58 [^]
2013-07-02 08:03 hgbot Checkin
2013-07-02 08:03 hgbot Note Added: 0059801
2013-07-02 08:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/d310ac00930c14b590b68f9ff878a6d5e2180e58 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5b7a9e71737f3e0437ce080f89467ab33a404c0b [^]
2013-07-04 16:40 hgbot Checkin
2013-07-04 16:40 hgbot Note Added: 0059859
2013-07-04 16:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5b7a9e71737f3e0437ce080f89467ab33a404c0b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/5b7a9e71737f3e0437ce080f89467ab33a404c0b [^]
2013-07-11 09:51 hgbot Checkin
2013-07-11 09:51 hgbot Note Added: 0059946
2013-07-11 09:51 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/5b7a9e71737f3e0437ce080f89467ab33a404c0b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/273cb1c22a33db199cb9cb4ec5d75734221c8e92 [^]
2013-07-11 10:54 priyam Note Added: 0059949
2013-07-11 10:54 priyam Status resolved => closed
2013-07-24 13:40 hgbot Checkin
2013-07-24 13:40 hgbot Note Added: 0060232
2013-07-24 13:40 hgbot Status closed => resolved
2013-07-24 13:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/273cb1c22a33db199cb9cb4ec5d75734221c8e92 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/273cb1c22a33db199cb9cb4ec5d75734221c8e92 [^]
2013-07-24 18:34 guilleaer Note Added: 0060283
2013-07-24 18:34 guilleaer Status resolved => closed
2013-08-08 17:45 alostale Relationship added related to 0024516


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker